Package org.jbpm.casemgmt.impl.audit

## Class CaseInstanceAuditLoggerFactory

- java.lang.Object
- - org.jbpm.casemgmt.impl.audit.CaseInstanceAuditLoggerFactory

-     public class CaseInstanceAuditLoggerFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseInstanceAuditLoggerFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AsyncCaseInstanceAuditEventProducer` | `newJMSInstance​(boolean transacted, javax.jms.ConnectionFactory connFactory, javax.jms.Queue queue)` | Creates new instance of JMS case instance audit logger based on given connection factory and queue.
    `static AsyncCaseInstanceAuditEventProducer` | `newJMSInstance​(Map<String,​Object> properties)` | Creates new instance of JMS case instance audit logger based on given parameters.
    `static CaseInstanceAuditEventListener` | `newJPAInstance​(javax.persistence.EntityManagerFactory emf)` | Creates new instance of JPA case instance audit logger with given entity manager factory
    `static CaseInstanceAuditEventListener` | `newJPAInstance​(TransactionalCommandService transactionalCommandService)` | Creates new instance of JPA case instance audit logger

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseInstanceAuditLoggerFactory

          public CaseInstanceAuditLoggerFactory()

  - ### Method Detail

    - #### newJPAInstance

          public static CaseInstanceAuditEventListener newJPAInstance​(TransactionalCommandService transactionalCommandService)

      Creates new instance of JPA case instance audit logger
      Parameters:
        `transactionalCommandService` - command service to be used
      Returns:
        new instance of JPA case instance audit logger

    - #### newJPAInstance

          public static CaseInstanceAuditEventListener newJPAInstance​(javax.persistence.EntityManagerFactory emf)

      Creates new instance of JPA case instance audit logger with given entity manager factory
      Parameters:
        `enf` - EntityManagerFactory instance to be used
      Returns:
        new instance of JPA case instance audit logger

    - #### newJMSInstance

          public static AsyncCaseInstanceAuditEventProducer newJMSInstance​(Map<String,​Object> properties)

      Creates new instance of JMS case instance audit logger based on given parameters. Supported parameters are as follows:
      - jbpm.audit.jms.transacted - determines if JMS session is transacted or not - default true - type Boolean
      - jbpm.audit.jms.connection.factory - connection factory instance - type javax.jms.ConnectionFactory
      - jbpm.audit.jms.queue - JMS queue instance - type javax.jms.Queue
      - jbpm.audit.jms.connection.factory.jndi - JNDI name of the connection factory to look up - type String
      - jbpm.audit.jms.queue.jndi - JNDI name of the queue to look up - type String
      Parameters:
        `properties` - - optional properties for the type of logger to initialize it
      Returns:
        new instance of JMS case instance audit logger

    - #### newJMSInstance

          public static AsyncCaseInstanceAuditEventProducer newJMSInstance​(boolean transacted,
                                                                           javax.jms.ConnectionFactory connFactory,
                                                                           javax.jms.Queue queue)

      Creates new instance of JMS case instance audit logger based on given connection factory and queue.
      Parameters:
        `transacted` - determines if JMS session is transacted or not
        `connFactory` - connection factory instance
        `queue` - JMS queue instance
      Returns:
        new instance of JMS case instance audit logger